Subject: Re: Serial patch programming
From: Nicholas Wourms <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 5 Jul 2002 07:18:00 -0700 (PDT)

Jacek,

Assuming you followed the directions on this page:

http://cygwin.com/cvs.html

You'll end up with a directory called src.  Move "src" to /usr/src/.  Your
directory path should be /usr/src/src, so cd to /usr/src.  Make a direcory
called build and cd into build.  Type "../src/configure
--prefix=`pwd`/../install".  Then type "make; make install".  Now the
freshly built binaries should be located in /usr/src/install.  At this
point I usually do the following:
1)"cd /usr/src/install"
2)"rmdir etc"
3)"cd i686-pc-cygwin"
4)"tar -cvf ../foo.tar ."
5)"cd .."
6)"tar -xvf foo.tar; rm foo.tar"
7)"mv bin/cygwin1.dll /"
8)"tar -cvf /usr/foo.tar ."
9)"cd /usr"
10)"tar -xvf foo.tar; rm foo.tar"

Then close down all cygwin processes include bash, open up explorer and
switch to the folder in windows corresponding to "/".  In my case, that
would be "C:\cygwin".  Then cut the cygwin1.dll in that folder and switch
to the bin\ folder (in my case that was C:\cygwin\bin".  Paste to the bin
folder and confirm overwriting the existing dll.  That's it!

Cheers,
Nicholas
--- Earnie Boyd <[email-masked]> wrote:
> You should direct your queries to an appropriate list.  I've CCed the
> appropriate list for your convenience and have set the Reply-To to that
> list.
> 
> Jacek Trzcinski wrote:
> > 
> > Hello Earnie,
> > forgive me I bother You but could You give me any remarks concerning
> > correct configuration of Cygwin sources downloaded from cvs server
> > because I have different "strange" errors during compilation like
> > "unable to find install.sh" or "implicite use of function int
> > memset(...)"
> > 
> > Thank You in advance
> > Jacek
> > 
> > Earnie Boyd wrote:
> > >
> > > Jacek Trzcinski wrote:
> > > >
> > > > I guess my patch is not suitable and I should check any
> > > > latest version of cygwin sources and create new patch? If so, what
> > > > version of Cygwin sources should I take into account.
> > > >
> > >
> > > http://cygwin.com/cvs.html
> > >
> > > Earnie.
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

__________________________________________________
Do You Yahoo!?
Sign up for SBC Yahoo! Dial - First Month Free
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/